package com.mortals.xhx.module.holiday.web;

import com.mortals.framework.model.Context;
import com.mortals.framework.web.BasePhpCRUDJsonMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.holiday.model.HolidayEntity;
import com.mortals.xhx.module.holiday.service.HolidayService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * 节假日
 *
 * @author zxfei
 * @date 2022-01-20
 */
@RestController
@RequestMapping("holiday")
public class HolidayController extends BasePhpCRUDJsonMappingController<HolidayService, HolidayForm, HolidayEntity, Long> {

    @Autowired
    private ParamService paramService;

    public HolidayController() {
        super.setFormClass(HolidayForm.class);
        super.setModuleDesc("节假日");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "workorholiday", paramService.getParamBySecondOrganize("Holiday", "workorholiday"));
        super.init(model, context);
    }

}